Bug 507285 - Unable to install on disk with all partitions not formatted yet
Unable to install on disk with all partitions not formatted yet
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 03:23 EDT by Dariusz Garbowski
Modified: 2009-08-17 21:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-15 12:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dariusz Garbowski 2009-06-22 03:23:52 EDT
Description of problem:
Anaconda is unable to install Fedora 11 on a disk that is partitioned but none of the partitions are formatted.

Version-Release number of selected component (if applicable):
Anaconda / Fedora 11

How reproducible:

Steps to Reproduce:
1. Get a drive and re-partition it but make sure that you do not format any partitions. See "Additional info" below for possible extra details that may need to be fulfilled (don't know if those are significant other than the fact that partitions have to be not formatted. Make sure all free space is allocated to partitions (no free space left on disk).
2. Try and install Fedora 11.
  
Actual results:
Anaconda aborts with an error on disk "management" part -- something about being unable to find free space for LVM or similar (cannot remember and unfortunately I did not take notes).

Expected results:
Anaconda allows for using unformatted partitions for installation, formatting them prior to installation on the disk.

Additional info:
I started with a new hard drive. I made all partitions ext3, partitioned with fdisk. None of the partitions have been formatted prior to installation attempt.

Anaconda succeeded installing F11 just fine when partitions have been formatted prior to running installer, e.g. with another rescue disk.
Comment 1 David Lehman 2009-08-14 12:48:01 EDT
You chose the "Replace existing Linux system" option (the default)? This option will only remove partitions from the disk that contain filesystems considered to be native to linux. If there are no filesystems, the partitions will not be removed. In this case you should choose "Use entire drive", which will remove all partitions regardless of their contents.

Please reopen this bug, with further details, if I have misunderstood.
Comment 2 Dariusz Garbowski 2009-08-15 00:32:16 EDT
I think I chose "Replace existing Linux system" (definitely not "Use entire drive") but the point is that:

1. I bought a new drive, for new computer.
2. Used another machine to partition the drive marking all partitions as Linux partitions, creating layout I wanted. I have not formatted any of the partitions.
3. I expected Anaconda to be able to use the existing partition layout (after me assigning partitions to /, /usr, /tmp, /var, /home, /boot) and format all of them.

Unfortunately Anaconda failed with an error as in the report. I had to take the disk out and format all partitions using the other computer. Only then Anaconda was happy to execute scenario as above.

Summary: if existing partitions were unformatted I couldn't use existing layout. If the partitions have been formatted prior to running Anaconda, I was able to proceed using existing disk layout.
Comment 3 David Lehman 2009-08-15 12:36:08 EDT
> 2. Used another machine to partition the drive marking all partitions as Linux
> partitions, creating layout I wanted. I have not formatted any of the
> partitions.
> 3. I expected Anaconda to be able to use the existing partition layout (after
> me assigning partitions to /, /usr, /tmp, /var, /home, /boot) and format all of
> them.

Choose "Create custom layout" if this is what you want. You will have to specify which partitions get which filesystem types and mountpoints in the screens that follow.

> Summary: if existing partitions were unformatted I couldn't use existing
> layout. If the partitions have been formatted prior to running Anaconda, I was
> able to proceed using existing disk layout.  

Both "Replace existing Linux system" and "Use entire drive" will remove any partitions containing linux-native filesystems and then set up the default fedora partitioning layout in the new free space.

If you want anaconda to use your partition layout, you must choose "Create custom layout" and assign mountpoints and so on on the screens that follow.

If you want anaconda to create its default layout, you can just leave the disk blank or choose "Use entire drive".

We do not base the decision to remove a partition on the numeric partition type as used by fdisk, but rather by the partition's actual contents.
Comment 4 David Lehman 2009-08-17 12:14:52 EDT
This should give a better explanation than mine:

http://docs.fedoraproject.org/install-guide/f11/en-US/html/s1-diskpartauto-x86.html
Comment 5 Dariusz Garbowski 2009-08-17 21:50:38 EDT
Thanks, Dave. I want to point that I actually installed F11 fine, after formatting the partitions before installation. The issue shows only when you choose not to partition the drive with Anaconda tools but want to to partition it outside of the installer and then install on such partitioned drive where nothing is formatted yet.

My reason for using external partitioning software is that I prefer command line fdisk more than graphical partitioning apps -- I had in the past funny experiences with different partitioning software but I trust fdisk.

I believe that though the issue may still be there (?) it's not a common use case and I have a workaround for my scenario: format all partitions before assigning them in Anaconda. Hence from my point of view this issue isn't of high priority. Dave, I appreciate your effort explaining installation scenarios :-) I'm however familiar with that and still chose more unusual use case. Thanks for caring!

Note You need to log in before you can comment on or make changes to this bug.